@import url('/assets/font/poppins.css');

:root {
  --border-radius: 10px;
}

::selection {
  background-color: var(--clr-highlight);
}

/* default theme */

body {
  --box-shadow: 0 12px 14px #bbb;

  --clr-bg: #fafafa;
  --clr-nav-bg: #1d253a;
  --clr-nav-title: #fafafa;
  --clr-nav-text: #fafafa;
  --clr-nav-text-hover: #3297FD;
  --clr-nav-burger: #fafafa;
  --clr-nav-date-text: #fafafa;
  --clr-nav-date-icon: #fafafa;

  --clr-section-header-bg: #1587CF;
  --clr-section-bg: #fafafa;
  --clr-section-title: #fafafa;
  --clr-page-text: #555;
  --clr-page-text-highlighted: #000;

  --clr-review-stars: #212529;  
  --clr-review-text: #212529;

  --clr-food-title: #212529;
  --clr-food-components: #212529;

  --clr-form-title: #212529;
  --clr-form-star: #ff9529;
  --clr-form-button-bg: #24af48;
  --clr-form-button-text: #fff;

  --clr-aufgang-a: #D9261A;
  --clr-aufgang-b: #1587CF;
  --clr-aufgang-c: #F5CC2B;
  --clr-aufgang-m: #106B0A;

  --clr-theme-select-bg: #e5e5e5;
  --clr-theme-select-text: #212529;
  --clr-theme-select-options-bg: #e5e5e5;
  --clr-theme-select-chevrons: #465466;
  --clr-theme-select-chevrons-selected: #212529;

  --clr-theme-bg-selected: #1587CF;
  --clr-theme-icon-selected: #fff;
  --clr-theme-label-selected: #fff;

  --clr-theme-mensarate-bg-hover: #1587CF;
  --clr-theme-nord-bg-hover: #0057ff;
  --clr-theme-black-white-bg-hover: #000;
  --clr-theme-theme4-bg-hover: #32c766;
  --clr-theme-theme5-bg-hover: #f48024;
  --clr-theme-theme6-bg-hover: #006400;

  --clr-theme-mensarate-label: #212529;
  --clr-theme-nord-label: #212529;
  --clr-theme-black-white-label: #212529;
  --clr-theme-theme4-label: #212529;
  --clr-theme-theme5-label: #212529;
  --clr-theme-theme6-label: #212529;

  --clr-theme-mensarate-label-hover: #fafafa;
  --clr-theme-nord-label-hover: #fafafa;
  --clr-theme-black-white-label-hover: #fafafa;
  --clr-theme-theme4-label-hover: #fafafa;
  --clr-theme-theme5-label-hover: #fafafa;
  --clr-theme-theme6-label-hover: #fafafa;

  --clr-theme-mensarate-icon: #1587CF;
  --clr-theme-nord-icon: #0057ff;
  --clr-theme-black-white-icon: #000;
  --clr-theme-theme4-icon: #32c766;
  --clr-theme-theme5-icon: #f48024;
  --clr-theme-theme6-icon: #006400;

  --clr-theme-mensarate-icon-hover: #fff;
  --clr-theme-nord-icon-hover: #fff;
  --clr-theme-black-white-icon-hover: #fff;
  --clr-theme-theme4-icon-hover: #fff;
  --clr-theme-theme5-icon-hover: #fff;
  --clr-theme-theme6-icon-hover: #fff;

  --clr-highlight: #5daeff;
  --clr-scrollbar: #aaa;
  --clr-scrollbar-hover: #888;
}

*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent; }

html {
  font-family: "Poppins", Arial, sans-serif;
  line-height: 1.15;
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.8;
  background-color: var(--clr-bg);
  min-height: calc(100vh - 16px);
}

body::-webkit-scrollbar {
  width: 10px;
  height: 6px;
}

body::-webkit-scrollbar-track {
  border-radius: 10px;
  background: transparent;
  margin: 1px 0;
}
body::-webkit-scrollbar-thumb{
  border-radius: 10px;
  background: var(--clr-scrollbar);
}
body::-webkit-scrollbar-thumb:hover{
  background: var(--clr-scrollbar-hover);
}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
  margin-bottom: 0.5rem;
  font-weight: 500;
  line-height: 1.2; }

h1, .h1 {
  font-size: 2.5rem;
}

h2, .h2 {
  font-size: 2rem;
}

h3, .h3 {
  font-size: 1.75rem;
}

h4, .h4 {
  font-size: 1.5rem;
}

h5, .h5 {
  font-size: 1.25rem;
}

h6, .h6 {
  font-size: 1rem;
}

p {
  margin-top: 0;
  margin-bottom: 1rem;
}

a {
  text-decoration: none;
  color: var(--clr-page-text-highlighted);
}

.pd-0 {
  padding: 0 !important;
}

.op-0 {
  opacity: 0 !important;
}

.op-1 {
  opacity: 1 !important;
}

.hidden{
  display: none;
}

.vertical-center {
  display: flex;
  align-items: center;
}

.border-none {
  border-radius: 0;
}

.border-top {
  border-top-left-radius: var(--border-radius);
  border-top-right-radius: var(--border-radius);
}

.border-bottom {
  border-bottom-left-radius: var(--border-radius);
  border-bottom-right-radius: var(--border-radius);
}

.container {
  width: 100%;
  padding: 0 15px;
  margin-right: auto;
  margin-left: auto;
}

.container > h3,
.container > h4,
.container > h5 {
  color: var(--clr-food-title);
}

.container > h3:first-child,
.container > h4:first-child,
.container > h5:first-child {
  margin-top: 0.5rem;
}

.container.page,
.container.page p,
.container.page li {  
  color: var(--clr-page-text);
}

.slide > .page {
  margin-top: 3em;
  margin-bottom: 3em;
}

.section {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 0.5rem 1rem;
}

.section > .container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  }

.section-title {
  display: inline-block;
  padding: 0.5rem 0;
  line-height: inherit;
  font-size: 1.25rem;
  font-weight: 700;
  color: var(--clr-section-title);
  text-transform: uppercase;
  overflow-wrap: break-word;
  width: 100%;
}

.section-title.logo {
  width: auto;
  color: var(--clr-nav-title)
}

.section-title.subtitle {
  color: var(--clr-food-title);
}

.section-title.subtitle-food {
  color: var(--clr-form-title);
}

.section-nav {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  padding-left: 0;
  margin-top: 0;
  margin-bottom: 0;
  list-style: none;
}

.nav-link {
  margin: 1.2rem 1.25rem;
  font-weight: 400;
  color: var(--clr-nav-text);
  position: relative;
  opacity: 1 !important;
}

.nav-item {
  line-height: 50px;
}

.nav-item:first-child .nav-link {
  margin-left: 0;
}

.nav-item:last-child .nav-link {
  margin-right: 0;
}

.nav-link i {
  margin-right: 10px;
}

.nav-item > a:before {
  content: "";
  position: absolute;
  height: 2px;
  inset: auto 0 -5px 0;
  background-color: var(--clr-nav-text-hover);
  opacity: 0.5;
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
  -webkit-transition: all 300ms ease-out;
  transition: all 300ms ease-out;
}

.nav-item > a:hover:before {
  opacity: 1;
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
}

.section-text {
  display: inline-block;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.section-header {
  background-color: var(--clr-section-header-bg);
}

.section-collapse {
  -ms-flex-preferred-size: 100%;
  flex-basis: 100%;
  -webkit-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  max-height: 0;
  transition: max-height 500ms ease-out;
}

section.ftco-section {
  border: 3px solid var(--clr-bg);
  border-bottom: none;
  margin-top: 1em;
  margin-bottom: 1em;
  padding-bottom: 0;
}

.ftco-section {
  max-width: 1300px;
  margin: auto;
  padding: 10px 10px;
  width: inherit;
}

#header,
#footer {
  padding: 0;
  width: calc(100% - 30px);
  background-color: var(--clr-nav-bg);
  border-radius: var(--border-radius);
  box-shadow: var(--box-shadow);
}

#header {
  margin: 0 auto;
}

#footer {
  margin: 3em auto 0;
}

#footer .nav-link {
  line-height: 35px;
  font-size: 0.875rem;
}

.burger {
  position: relative;
  width: 40px;
  height: 30px;
  background: transparent;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent!important;
  z-index: 10;
  display: none;
  margin: auto 0;
  transform: scale(0.7);
}

.burger input {
  display: none;
}

.burger span {
  display: block;
  position: absolute;
  height: 3px;
  width: 100%;
  background: var(--clr-nav-burger);
  border-radius: 9px;
  opacity: 1;
  left: 0;
  transform: rotate(0deg);
  transition: 500ms ease-in-out;
}

.burger span:nth-of-type(1) {
  top: 0px;
  transform-origin: left center;
}

.burger span:nth-of-type(2) {
  top: 50%;
  transform: translateY(-50%);
  transform-origin: left center;
}

.burger span:nth-of-type(3) {
  top: 100%;
  transform-origin: left center;
  transform: translateY(-100%);
}

.burger input:checked ~ span:nth-of-type(1) {
  transform: rotate(45deg);
  top: 0px;
  left: 5px;
}

.burger input:checked ~ span:nth-of-type(2) {
  width: 0%;
  opacity: 0;
}

.burger input:checked ~ span:nth-of-type(3) {
  transform: rotate(-45deg);
  top: 28px;
  left: 5px;
}

.slider {
  display: flex;
  overflow-x: auto;
  max-width: 1440px;
  margin-right: auto;
  margin-left: auto;
  -webkit-overflow-scrolling: touch;
  scroll-snap-type: x mandatory;
  margin-top: -56px;
  z-index: 5;
}

.slider::-webkit-scrollbar {
  display: none;
}

.slide {
  flex-shrink: 0;
  height: 100%;
  width: 100%;
  margin: 0 auto 3em auto;
  padding: 0 15px;
  scroll-snap-align: center;
}

.slide-element{
  margin-top: 3em;
  padding: 0;
  box-shadow: var(--box-shadow);
  border-radius: var(--border-radius);
}

.slide-subelement {
  z-index: 1;
  background-color: var(--clr-section-bg);
}

.slide-subelement > .container{
  margin: 1em 0;
  padding: 0;
}

.padding {
  border: solid var(--clr-bg);
  border-width: 0 15px;
}

a.link {
  padding-inline: 0.75rem;
  color: var(--clr-theme-select-text);
  background-color: var(--clr-theme-select-bg);
  border-radius: 100px;
}

a.link strong {
  font-weight: 600;
}

a.link i {
  padding-left: 0.5rem;
}


/* mobile optimization */

@media (min-width: 900px) {

  .section-nav > .nav-item {
    margin: auto;
  }

  .section-expand {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-flow: row nowrap;
    flex-flow: row nowrap;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
  }

  .section-expand .section-nav {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }

  .section-expand > .container {
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
  }

  .section-expand .section-collapse {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    display: flex !important;
    -ms-flex-preferred-size: auto;
    flex-basis: auto;
    justify-content: end;
  }

}


@media (max-width: 899px) {

  .burger {
    display: inline-block;
  }

  .section-collapse {
    overflow: hidden;
  }

  .section-collapse.open {
    display: inline-block;
    max-height: 150px;
  }

  .nav-link {
    margin: 1.2rem 0;
  }

  .nav-item a:hover:before {
    opacity: 0;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
  }

}


@media (max-width: 460px) {

  .section-title {
    font-size: 1.1rem;
  }

  section.ftco-section {
    padding-left: 0;
    padding-right: 0;
  }

}